.\"
.\" lpq man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.TH lpq 1 "CUPS" "12 June 2014" "Apple Inc."
.SH NAME
lpq \- show printer queue status
.SH SYNOPSIS
.B lpq
[
.B \-E
] [
.B \-U
.I username
] [
\fB\-h \fIserver\fR[\fB:\fIport\fR]
] [
\fB\-P \fIdestination\fR[\fB/\fIinstance\fR]
] [
.B \-a
] [
.B \-l
] [
.BI + interval
]
.SH DESCRIPTION
\fBlpq\fR shows the current print queue status on the named printer.
Jobs queued on the default destination will be shown if no printer or class is specified on the command-line.
.LP
The \fI+interval\fR option allows you to continuously report the jobs in the queue until the queue is empty; the list of jobs is shown once every \fIinterval\fR seconds.
.SH OPTIONS
\fBlpq\fR supports the following options:
.TP 5
.B \-E
Forces encryption when connecting to the server.
.TP 5
\fB\-P \fIdestination\fR[\fB/\fIinstance\fR]
Specifies an alternate printer or class name.
.TP 5
\fB\-U \fIusername\fR
Specifies an alternate username.
.TP 5
.B \-a
Reports jobs on all printers.
.TP 5
\fB\-h \fIserver\fR[\fB:\fIport\fR]
Specifies an alternate server.
.TP 5
.B \-l
Requests a more verbose (long) reporting format.
.SH SEE ALSO
.BR cancel (1),
.BR lp (1),
.BR lpr (1),
.BR lprm (1),
.BR lpstat (1),
CUPS Online Help (http://localhost:631/help)
.SH COPYRIGHT
Copyright \[co] 2007-2017 by Apple Inc.
