.\"
.\" mailto.conf man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.TH mailto.conf 5 "CUPS" "12 June 2014" "Apple Inc."
.SH NAME
mailto.conf \- configuration file for cups email notifier
.SH DESCRIPTION
The \fBmailto.conf\fR file defines the local mail server and email notification preferences for CUPS.
.LP
Each line in the file can be a configuration directive, a blank line, or a comment.
Configuration directives typically consist of a name and zero or more values separated by whitespace.
The configuration directive name and values are case-insensitive.
Comment lines start with the # character.
.SS DIRECTIVES
.TP 5
\fBCc \fIcc-address@domain.com\fR
Specifies an additional recipient for all email notifications.
.TP 5
\fBFrom \fIfrom-address@domain.com\fR
Specifies the sender of email notifications.
.TP 5
\fBSendmail \fIsendmail command and options\fR
Specifies the sendmail command to use when sending email notifications.
Only one \fISendmail\fR or \fISMTPServer\fR line may be present in the \fBmailto.conf\fR file.
If multiple lines are present, only the last one is used.
.TP 5
\fBSMTPServer \fIservername\fR
Specifies a SMTP server to send email notifications to.
Only one \fISendmail\fR or \fISMTPServer\fR line may be present in the \fBmailto.conf\fR file.
If multiple lines are present, only the last one is used.
.TP 5
\fBSubject \fIsubject-prefix\fR
Specifies a prefix string for the subject line of an email notification.
.SH SEE ALSO
.BR cupsd (8),
CUPS Online Help (http://localhost:631/help)
.SH COPYRIGHT
Copyright \[co] 2007-2017 by Apple Inc.
