.\"
.\" notifier man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2007 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.TH notifier 7 "CUPS" "12 June 2014" "Apple Inc."
.SH NAME
notifier \- cups notification interface
.SH SYNOPSIS
.B notifier
.I recipient
[
.I user-data
]
.SH DESCRIPTION
The CUPS notifier interface provides a standard method for adding support for new event notification methods to CUPS.
Each notifier delivers one or more IPP events from the standard input to the specified recipient.
.LP
Notifiers \fBMUST\fR read IPP messages from the standard input using the
.BR ippNew ()
and
.BR ippReadFile ()
functions and exit on error.
Notifiers are encouraged to exit after a suitable period of inactivity, however they may exit after reading the first message or stay running until an error is seen.
Notifiers inherit the environment and can use the logging mechanism documented in
.BR filter (7).
.SH SEE ALSO
.BR cupsd (8),
.BR filter (7),
CUPS Online Help (http://localhost:631/help)
.SH COPYRIGHT
Copyright \[co] 2007-2017 by Apple Inc.
