.\"
.\" ppdc man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2007 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.TH ppdc 1 "CUPS" "12 June 2014" "Apple Inc."
.SH NAME
ppdc \- cups ppd compiler (deprecated)
.SH SYNOPSIS
.B ppdc
[
\fB\-D \fIname\fR[\fB=\fIvalue\fR]
] [
.B \-I
.I include-directory
] [
.B \-c
.I message-catalog
] [
.B \-d
.I output-directory
] [
.B \-l
.I language(s)
] [
.B \-m
] [
.B \-t
] [
.B \-v
] [
.B \-z
] [
.B \-\-cr
] [
.B \-\-crlf
] [
.B \-\-lf
]
.I source-file
.SH DESCRIPTION
\fBppdc\fR compiles PPDC source files into one or more PPD files.
\fBThis program is deprecated and will be removed in a future release of CUPS.\fR
.SH OPTIONS
\fBppdc\fR supports the following options:
.TP 5
\fB\-D \fIname\fR[\fB=\fIvalue\fR]
Sets the named variable for use in the source file.
It is equivalent to using the \fI#define\fR directive in the source file.
.TP 5
\fB\-I \fIinclude-directory\fR
Specifies an alternate include directory.
Multiple \fI-I\fR options can be supplied to add additional directories.
.TP 5
\fB\-c \fImessage-catalog\fR
Specifies a single message catalog file in GNU gettext (filename.po) or Apple strings (filename.strings) format to be used for localization.
.TP 5
\fB\-d \fIoutput-directory\fR
Specifies the output directory for PPD files.
The default output directory is "ppd".
.TP 5
\fB\-l \fIlanguage(s)\fR
Specifies one or more languages to use when localizing the PPD file(s).
The default language is "en" (English).
Separate multiple languages with commas, for example "de_DE,en_UK,es_ES,es_MX,es_US,fr_CA,fr_FR,it_IT" will create PPD files with German, UK English, Spanish (Spain, Mexico, and US), French (France and Canada), and Italian languages in each file.
.TP 5
.B \-m
Specifies that the output filename should be based on the ModelName value instead of FileName or PCFilenName.
.TP 5
.B \-t
Specifies that PPD files should be tested instead of generated.
.TP 5
.B \-v
Specifies verbose output, basically a running status of which files are being loaded or written.
.B \-z
Generates compressed PPD files (filename.ppd.gz).
The default is to generate uncompressed PPD files.
.TP 5
\fB\-\-cr\fR
.TP 5
\fB\-\-crlf\fR
.TP 5
\fB\-\-lf\fR
Specifies the line ending to use - carriage return, carriage return and line feed, or line feed alone.
The default is to use the line feed character alone.
.SH SEE ALSO
.BR ppdhtml (1),
.BR ppdi (1),
.BR ppdmerge (1),
.BR ppdpo (1),
.BR ppdcfile (5),
CUPS Online Help (http://localhost:631/help)
.SH COPYRIGHT
Copyright \[co] 2007-2017 by Apple Inc.
